<template>
    <v-dialog v-model="visible" persistent max-width="400">
        <v-card>
			<v-card-title>
				Nombre actual: {{ nameInstitute }}
			</v-card-title>
			<v-card-text>
				<v-row>
						<v-text-field label="Nuevo nombre" v-model="newName" outlined @keydown.enter="sendData" />
						<v-btn :loading="loading" color="green" block outlined @click="sendData">
							Actualizar
							<template v-slot:loader>
								<span>Actualizando...</span>
							</template>
						</v-btn>
				</v-row>
			</v-card-text>
		</v-card>
    </v-dialog>
</template>

<script>
import EventBus from "../../bus";
import { mapActions } from 'vuex';

export default {
    name: "ModalChangeNameInstitute",
    props:["visible", "nameInstitute"],
    data:() => ({
        loading: false,    
        newName:""
    }),
    methods:{
        ...mapActions(['changeNameInstitute']),

        sendData(){
            this.loading = true;
            setTimeout(() => {
                this.changeNameInstitute({ institute: this.nameInstitute, newName: this.newName });
                this.loading = false;
                this.newName = "";
            }, 2000);       
        },
        closeForm(){
            EventBus.$emit("closeChangeNameInstitute");
        }
    },
    mounted(){
        // cierra el formulario
		document.addEventListener("keydown", event => {
			const keyWhich = event.which;
			if (keyWhich == 27) {
				this.closeForm();
			}
		});
    }
}
</script>